package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.school.BookInfoAddParam;
import com.zhongshu.card.client.model.school.BookInfoModel;
import com.zhongshu.card.client.model.school.BookInfoSearch;
import com.github.microservice.net.ResultContent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

/**
 * @author TRX
 * @date 2024/6/7
 */
public interface BookInfoService {

    ResultContent addBookInfo(BookInfoAddParam param);

    ResultContent<Page<BookInfoModel>> page(BookInfoSearch param, Pageable pageable);

    ResultContent<BookInfoModel> getByDetailById(String id);

    ResultContent deleteById(String id);
}
